org.apache.felix.ipojo.extender

## Interface ExtensionDeclaration

All Superinterfaces:
  Declaration

All Known Implementing Classes:
  DefaultExtensionDeclaration

    public interface ExtensionDeclaration
    extends Declaration

iPOJO's extension declaration. This service interface is published to instruct the extender to create a new iPOJO extension (like composite or handler).

### Field Summary

Fields
`static java.lang.String` `EXTENSION_NAME_PROPERTY` The service property specifying the extension name.

### Method Summary

All Methods Instance Methods Abstract Methods
`java.lang.String` `getExtensionName()` Gets the extension name.
`FactoryBuilder` `getFactoryBuilder()` Gets the factory builder to use to create the factories bound to this extension.

### Methods inherited from interface org.apache.felix.ipojo.extender.Declaration

`bind, getStatus, unbind, unbind`

### Field Detail

#### EXTENSION_NAME_PROPERTY

    static final java.lang.String EXTENSION_NAME_PROPERTY

The service property specifying the extension name.

See Also:
  Constant Field Values

### Method Detail

#### getFactoryBuilder

    FactoryBuilder getFactoryBuilder()

Gets the factory builder to use to create the factories bound to this extension.

Returns:
  the factory builder.

#### getExtensionName

    java.lang.String getExtensionName()

Gets the extension name. This name must be unique.

Returns:
  the extension name.